=== debian/changelog ===
basilisk2 (0.9.20240401-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * unfuzz patch 1001
  * add patch 2001 to include string.h in TUN/TAP configure test

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Apr 2024 08:49:23 +0200
