=== debian/changelog ===
basilisk2 (0.9.20240402+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update copyright info:
    + repackage upstrea source tarball
      to exclude embedded code copy of TinyXML
    + update coverage
  * update watch file:
    + set dversionmangle=auto
    + set repacksuffix=+dfsg
  * stop clean no longer included source files
  * drop patch 2001, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Apr 2024 13:40:56 +0200
