## basilisk2 0.9.20251105+dfsg

=== SheepShaver/Makefile ===
--- 
+++ 
@@ -56,9 +56,10 @@
 	       include/adb.h include/audio.h include/audio_defs.h \
 	       include/cdrom.h include/clip.h include/debug.h include/disk.h \
 	       include/extfs.h include/extfs_defs.h include/pict.h \
-	       include/prefs.h include/scsi.h include/serial.h \
+	       include/prefs.h include/scsi.h include/serial.h include/prefs_editor.h \
 	       include/serial_defs.h include/sony.h include/sys.h \
-	       include/timer.h include/xpram.h \
+	       include/timer.h include/xpram.h include/color_scheme.h \
+	       include/my_sdl.h \
 	       BeOS/audio_beos.cpp BeOS/extfs_beos.cpp BeOS/scsi_beos.cpp \
 	       BeOS/serial_beos.cpp BeOS/sys_beos.cpp BeOS/timer_beos.cpp \
 	       BeOS/xpram_beos.cpp BeOS/SheepDriver BeOS/SheepNet \
@@ -66,7 +67,7 @@
                CrossPlatform/video_vosf.h CrossPlatform/video_blit.h CrossPlatform/video_blit.cpp \
 	       Unix/audio_oss_esd.cpp \
 	       Unix/vhd_unix.cpp \
-	       Unix/extfs_unix.cpp Unix/serial_unix.cpp \
+	       Unix/extfs_unix.cpp Unix/serial_unix.cpp Unix/color_scheme.cpp \
 	       Unix/sshpty.h Unix/sshpty.c Unix/strlcpy.h Unix/strlcpy.c \
 	       Unix/sys_unix.cpp Unix/timer_unix.cpp Unix/xpram_unix.cpp Unix/prefs_unix.cpp \
 	       Unix/semaphore.h Unix/posix_sem.cpp Unix/config.sub Unix/config.guess Unix/m4 \
