=== debian/changelog ===
basilisk2 (0.9.20251105+dfsg-2) unstable; urgency=medium

  * Non-Maintainer Upload
  * Replace CDBS build with pure DH build (Closes: #1125304)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 19 Jan 2026 21:26:50 +0100

basilisk2 (0.9.20251105+dfsg-1.1) unstable; urgency=medium

  * Non-Maintainer Upload
  * Switch to Standards-Version 4.7.3, drop Priority: tag
  * Build with Gtk3 (Closes: #967267)
  * Add patch to fix build with Gtk-3
  * Add debian/salsa-ci.yml (can someone please enable Salsa CI ?)
  * Start migration from CDBS to short DH:
    * install the documentation with debhelper
    * rename files in debian/ for forward compatibility with debhelper 14/15
    * install more files with basilisk2.install

 -- Alexandre Detiste <tchet@debian.org>  Mon, 12 Jan 2026 09:34:15 +0100

basilisk2 (0.9.20251105+dfsg-1) unstable; urgency=medium

  * Non-Maintainer Upload
  * New upstream version 0.9.20251105+dfsg
  * Refresh patch
  * Build with SDL3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Nov 2025 00:16:36 +0100
