=== debian/control ===
Source: basilisk2
Section: contrib/otherosfs
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders:
 Giulio Paci <giuliopaci@gmail.com>,
 Jérémy Lal <kapouer@melix.org>,
 Stephen Kitt <skitt@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 libgtk-3-dev,
 libmpfr-dev [arm64 armel armhf],
 libsdl3-dev,
 libtinyxml2-dev,
 libvdeplug-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/basilisk2.git
Vcs-Browser: https://salsa.debian.org/debian/basilisk2
Homepage: https://basilisk.cebix.net/

Package: basilisk2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 68k Macintosh emulator
 Basilisk II is an Open Source 68k Macintosh emulator. That is, it enables
 you to run 68k MacOS software on you computer, even if you are using a
 different operating system. However, you still need a copy of MacOS and
 a Macintosh ROM image to use Basilisk II.
 .
 Some features of Basilisk II:
  - Emulates either a Mac Classic (which runs MacOS 0.x thru 7.5)
    or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1),
    depending on the ROM being used
  - Color video display
  - CD quality sound output
  - Floppy disk driver (only 1.44MB disks supported)
  - Driver for HFS partitions and hardfiles
  - CD-ROM driver with basic audio functions
  - Easy file exchange with the host OS via a "Host Directory Tree" icon
    on the Mac desktop
  - Ethernet driver
  - Serial drivers
  - SCSI Manager (old-style) emulation
  - Emulates extended ADB keyboard and 3-button mouse
  - Uses UAE 68k emulation or (under AmigaOS and NetBSD/m68k) real 68k
    processor
