=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# SDL allows use of pulseaudio (and pipewire) without gone libesd headers
DEB_CONFIGURE_USER_FLAGS = --enable-sdl-video --enable-sdl-audio --with-sdl3

DEB_CONFIGURE_USER_FLAGS += $(if $(filter debug,$(DEB_BUILD_OPTIONS)),,--without-mon)

# Suppress excess and seemingly non-fatal warnings
#  * Upstream included -fno-merge-constants but seems unneeded
warning-flags = -Wno-unused-variable -Wno-unused-label -Wno-unused-function -Wno-missing-braces -Wno-parentheses
includedirs = -I$(CURDIR)/BasiliskII/src/Unix

export DEB_CFLAGS_MAINT_APPEND = $(warning-flags) $(includedirs)
export DEB_CXXFLAGS_MAINT_APPEND = $(warning-flags) $(includedirs)

%:
	dh $@ --without=autoreconf

override_dh_auto_configure:
	cd BasiliskII/src/Unix && aclocal -I m4
	cd BasiliskII/src/Unix && autoheader
	cd BasiliskII/src/Unix && autoconf
	dh_auto_configure --sourcedir=BasiliskII/src/Unix --builddirectory=build/nojit -- $(DEB_CONFIGURE_USER_FLAGS) --enable-jit-compiler=no
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	dh_auto_configure --sourcedir=BasiliskII/src/Unix --builddirectory=build/jit   -- $(DEB_CONFIGURE_USER_FLAGS) --enable-jit-compiler
endif

override_dh_auto_build:
	APP_FLAVOR=nojit dh_auto_build --sourcedir=BasiliskII/src/Unix --builddirectory=build/nojit
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	APP_FLAVOR=jit   dh_auto_build --sourcedir=BasiliskII/src/Unix --builddirectory=build/jit
endif

override_dh_auto_install:
	APP_FLAVOR=nojit dh_auto_install --builddirectory=build/nojit --destdir=debian/tmp-nojit
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	APP_FLAVOR=jit   dh_auto_install --builddirectory=build/jit   --destdir=debian/tmp-jit
endif
	rm -f debian/basilisk2/usr/share/BasiliskII/tunconfig
	dh_installchangelogs debian/ChangeLog.git
